> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View a list of room recordings.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/real-time-communications/video.yml get /room_recordings
openapi: 3.1.0
info:
  title: Telnyx Video API
  version: 2.0.0
  description: API for Video.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /room_recordings:
    get:
      tags:
        - Room Recordings
      summary: View a list of room recordings.
      operationId: ListRoomRecordings
      parameters:
        - name: filter
          in: query
          style: deepObject
          explode: true
          required: false
          description: >-
            Consolidated filter parameter (deepObject style). Originally:
            filter[date_ended_at][eq], filter[date_ended_at][gte],
            filter[date_ended_at][lte], filter[date_started_at][eq],
            filter[date_started_at][gte], filter[date_started_at][lte],
            filter[room_id], filter[participant_id], filter[session_id],
            filter[status], filter[type], filter[duration_secs]
          schema:
            type: object
            properties:
              date_ended_at:
                type: object
                properties:
                  eq:
                    type: string
                    format: date
                    example: '2021-04-25'
                    description: >-
                      ISO 8601 date for filtering room recordings ended on that
                      date.
                  gte:
                    type: string
                    format: date
                    example: '2021-04-25'
                    description: >-
                      ISO 8601 date for filtering room recordings ended on or
                      after that date.
                  lte:
                    type: string
                    format: date
                    example: '2021-04-25'
                    description: >-
                      ISO 8601 date for filtering room recordings ended on or
                      before that date.
              date_started_at:
                type: object
                properties:
                  eq:
                    type: string
                    format: date
                    example: '2021-04-25'
                    description: >-
                      ISO 8601 date for filtering room recordings started on
                      that date.
                  gte:
                    type: string
                    format: date
                    example: '2021-04-25'
                    description: >-
                      ISO 8601 date for filtering room recordings started on or
                      after that date.
                  lte:
                    type: string
                    format: date
                    example: '2021-04-25'
                    description: >-
                      ISO 8601 date for filtering room recordings started on or
                      before that date.
              room_id:
                type: string
                format: uuid
                example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0
                description: room_id for filtering room recordings.
              participant_id:
                type: string
                format: uuid
                example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0
                description: participant_id for filtering room recordings.
              session_id:
                type: string
                format: uuid
                example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0
                description: session_id for filtering room recordings.
              status:
                type: string
                example: completed
                description: status for filtering room recordings.
              type:
                type: string
                example: audio
                description: type for filtering room recordings.
              duration_secs:
                type: integer
                example: 20
                description: duration_secs greater or equal for filtering room recordings.
        - $ref: '#/components/parameters/video_PageConsolidated'
      responses:
        '200':
          $ref: '#/components/responses/ListRoomRecordingsResponse'
        4XX:
          $ref: '#/components/responses/video_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const roomRecordingListResponse of
            client.roomRecordings.list()) {
              console.log(roomRecordingListResponse.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.room_recordings.list()
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.RoomRecordings.List(context.TODO(), telnyx.RoomRecordingListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.roomrecordings.RoomRecordingListPage;
            import com.telnyx.sdk.models.roomrecordings.RoomRecordingListParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    RoomRecordingListPage page = client.roomRecordings().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.room_recordings.list

            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->roomRecordings->list(
                filter: [
                  'dateEndedAt' => [
                    'eq' => '2021-04-25', 'gte' => '2021-04-25', 'lte' => '2021-04-25'
                  ],
                  'dateStartedAt' => [
                    'eq' => '2021-04-25', 'gte' => '2021-04-25', 'lte' => '2021-04-25'
                  ],
                  'durationSecs' => 20,
                  'participantID' => '0ccc7b54-4df3-4bca-a65a-3da1ecc777f0',
                  'roomID' => '0ccc7b54-4df3-4bca-a65a-3da1ecc777f0',
                  'sessionID' => '0ccc7b54-4df3-4bca-a65a-3da1ecc777f0',
                  'status' => 'completed',
                  'type' => 'audio',
                ],
                pageNumber: 0,
                pageSize: 0,
              );

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx room-recordings list \
              --api-key 'My API Key'
components:
  parameters:
    video_PageConsolidated:
      name: page
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated page parameter (deepObject style). Originally: page[size],
        page[number]
      schema:
        type: object
        properties:
          size:
            type: integer
            minimum: 1
            maximum: 250
            default: 20
            description: The size of the page.
          number:
            type: integer
            minimum: 1
            default: 1
            description: The page number to load.
  responses:
    ListRoomRecordingsResponse:
      description: List room recordings response.
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/RoomRecording'
              meta:
                $ref: '#/components/schemas/PaginationMeta'
    video_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: false
              message:
                type: string
                example: Error
  schemas:
    RoomRecording:
      type: object
      properties:
        id:
          description: A unique identifier for the room recording.
          type: string
          format: uuid
          example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0
        room_id:
          description: Identify the room associated with the room recording.
          type: string
          format: uuid
          example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777b0
        session_id:
          description: Identify the room session associated with the room recording.
          type: string
          format: uuid
          example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777b0
        participant_id:
          description: Identify the room participant associated with the room recording.
          type: string
          format: uuid
          example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777b0
        status:
          description: Shows the room recording status.
          type: string
          example: completed
          enum:
            - completed
            - processing
        type:
          description: Shows the room recording type.
          type: string
          example: audio
          enum:
            - audio
            - video
        size_mb:
          description: Shows the room recording size in MB.
          type: number
          format: float
          example: 10.5
        download_url:
          description: Url to download the recording.
          type: string
          example: https://www.example.com
        codec:
          description: Shows the codec used for the room recording.
          type: string
          example: opus
        duration_secs:
          description: Shows the room recording duration in seconds.
          type: integer
          example: 67
        created_at:
          description: ISO 8601 timestamp when the room recording was created.
          type: string
          format: date-time
          example: '2021-03-26T17:51:59.588408Z'
        updated_at:
          description: ISO 8601 timestamp when the room recording was updated.
          type: string
          format: date-time
          example: '2021-03-26T17:51:59.588408Z'
        ended_at:
          description: ISO 8601 timestamp when the room recording has ended.
          type: string
          format: date-time
          example: '2021-03-26T17:51:59.588408Z'
        started_at:
          description: ISO 8601 timestamp when the room recording has stated.
          type: string
          format: date-time
          example: '2021-03-26T17:51:59.588408Z'
        completed_at:
          description: ISO 8601 timestamp when the room recording has completed.
          type: string
          format: date-time
          example: '2021-03-26T17:51:59.588408Z'
        record_type:
          type: string
          example: room_recording
          readOnly: true
      example:
        id: 6b61621f-62e0-4aad-ab11-9fd19e272e73
        room_id: 7b61621f-5fe4-4aad-ab11-9fd19e272e73
        session_id: 8b61621f-5fe4-4aad-ab11-9fd19e272e73
        participant_id: 9b61621f-5fe4-4aad-ab11-9fd19e272e73
        status: completed
        download_url: https://www.example.com
        type: audio
        duration_secs: 3660
        size_mb: 5.6
        codec: opus
        created_at: '2021-04-16T09:46:20.954863Z'
        updated_at: '2021-04-16T10:24:55.962200Z'
        started_at: '2021-04-16T09:24:55.962200Z'
        ended_at: '2021-04-16T10:24:55.962200Z'
        completed_at: '2021-04-16T10:25:55.962200Z'
        record_type: room_session
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````